@charset "utf-8";

/*ヘッダーまわりはご自由に*/
header {
  padding:10px;
  /*background: skyblue;*/
}

#nav-drawer {
  position: relative;
}

/*チェックボックス等は非表示に*/
.nav-unshown {
  display:none;
}

/*アイコンのスペース*/
#nav-open {
    display: none;
    width: 30px;
    height: 22px;
    vertical-align: middle;
    position: absolute;
    top: 14px;
    right: 0;
}

/*ハンバーガーアイコンをCSSだけで表現*/
#nav-open span,
#nav-open span:before,
#nav-open span:after {
    position: absolute;
    height: 3px;/*線の太さ*/
    width: 30px;/*長さ*/
    border-radius: 3px;
    background: #555;
    display: block;
    content: '';
    cursor: pointer;
}
#nav-open span:before {
    bottom: 8px;
}
#nav-open span:after {
    bottom: -8px;
}

#nav-input:checked ~ #nav-open span {
    background: transparent;
}

#nav-input:checked ~ #nav-open span:before {
    -webkit-transform: translateY(8px) rotate(-45deg);
    transform: translateY(8px) rotate(-45deg);
    transition: all 0.5s;
    opacity: 1;
}

#nav-input:checked ~ #nav-open span:after {
    -webkit-transform: translateY(-8px) rotate(45deg);
    transform: translateY(-8px) rotate(45deg);
    transition: all 0.5s;
}


/*閉じる用の薄黒カバー*/
#nav-close {
    display: none;/*はじめは隠しておく*/
    position: fixed;
    z-index: 99;
    top: 0;/*全体に広がるように*/
    left: 0;
    width: 100%;
    height: 100%;
    background: black;
    opacity: 0;
    transition: .3s ease-in-out;
}

/*中身*/
#nav-content {
    overflow: auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 60%;
    height: 100vh!important;
    background: #fff;
    transition: .3s ease-in-out;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
}


ul.drawer-nav{
    position: relative;
    z-index: 10000;
}

ul.drawer-nav li a {
    padding: 1em;
    display: block;
    border-bottom: 1px solid #3f3a39;
    font-family: "mplus-2p-bold";
    font-size: 21px;
    color: #3f3a39;
}

/*チェックが入ったらもろもろ表示*/
#nav-input:checked ~ #nav-close {
    display: block;/*カバーを表示*/
    opacity: .5;
}

#nav-input:checked ~ #nav-content {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);/*中身を表示*/
    box-shadow: 6px 0 25px rgba(0,0,0,.15);
}


@media screen and (max-width: 1160px){
#nav-open {
    display: inline-block;
}
    
}